Package net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl

# Class AuthenticatorGetInfoUVCapable

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl.AuthenticatorGetInfoUVCapable

All Implemented Interfaces:
  `Predicate<Set<com.yubico.fido.metadata.MetadataBLOBPayloadEntry>>`

public class AuthenticatorGetInfoUVCapable extends Object implements Predicate<Set<com.yubico.fido.metadata.MetadataBLOBPayloadEntry>>
An authenticator capability acceptor that only allows authenticators that support user verification. Either flag 'uv', signaling whether the authenticator supports internal UV (e.g., using a built-in fingerprint reader or built-in keypad), or 'clientPin, signaling whether the authenticator supports external UV using PIN, are tested.

From the CTAP specification: If present and set to true, it indicates that the device is capable of user verification within itself and has been configured.If present and set to false, it indicates that the device is capable of user verification within itself and has not been yet configured. If absent, it indicates that the device is not capable of user verification within itself.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticatorGetInfoUVCapable()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Set<com.yubico.fido.metadata.MetadataBLOBPayloadEntry> metadata)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Constructor Details

### AuthenticatorGetInfoUVCapable

public AuthenticatorGetInfoUVCapable()

## Method Details

### test

public boolean test(Set<com.yubico.fido.metadata.MetadataBLOBPayloadEntry> metadata)

Specified by:
  `test` in interface `Predicate<Set<com.yubico.fido.metadata.MetadataBLOBPayloadEntry>>`